%define libname %mklibname pcsclite 0

Summary: M.U.S.C.L.E. PC/SC Framework for Linux
Name: pcsc-lite
Version: 1.1.2
Vendor: A.E.T. Europe B.V.
Release: 6mdk
License: GPL 
Packager: Jan Rochat <rochat@aeteurope.nl>
Group: System/Servers
Source0: %{name}-%{version}beta4.tar.gz
Source1: pcscd.script
Source2: update-reader-conf
Patch0: fixcardstatusbug.diff.bz2
URL: http://www.aeteurope.nl/
BuildRequires: chkconfig flex
BuildRoot: %{_tmppath}/%{name}-root
PreReq: rpm-helper

%description
pcscd is the daemon program for PC/SC Lite. It is a resource 
manager that coorinates communications with Smart Card readers and Smart 
Cards that are connected to the system.

The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a 
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R)

This package was tested to work with A.E.T. Europe SafeSign. This
package is supported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%package -n %{libname}-devel
Summary: Muscle PCSC Framework for Linux development files
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel

%description -n %{libname}-devel
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware 
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%package -n %{libname}
Summary: Muscle PCSC Framework for Linux libraries
Group: System/Libraries
Conflicts: %name < 1.1.2-5mdk

%description -n %{libname}
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R).

The %{name}-devel package contains the header files and libraries
needed for compiling PCSC Lite programs. If you want to develop PCSC Lite-aware 
programs, you'll need to install this package.

This package was tested to work with A.E.T. Europe B.V. SafeSign. This
package is suported by A.E.T. Europe B.V. when used in combination with
SafeSign.

%prep
%setup -q 
%patch -p1 -b .fixcardstatusbug

%build
%serverbuild
%configure2_5x --enable-usbdropdir=%{_libdir}/pcsc/drivers/ --enable-muscledropdir=%{_libdir}/pcsc/services/
%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/pcsc/{services,drivers} $RPM_BUILD_ROOT%{_sysconfdir}/reader.conf.d

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
cp %SOURCE1  $RPM_BUILD_ROOT/%{_initrddir}/pcscd
install %SOURCE2 $RPM_BUILD_ROOT%{_sbindir}/

# remove unpackaged files
rm -rf	$RPM_BUILD_ROOT%{_datadir}/pcscd.startup
rm -rf  $RPM_BUILD_ROOT/usr/doc/pcsc-lite-0.8.7.pdf
rm -rf  $RPM_BUILD_ROOT/usr/doc/muscle-api-1.3.0.pdf
rm -rf  $RPM_BUILD_ROOT/usr/doc/README.DAEMON

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%_post_service pcscd
/usr/sbin/update-reader-conf

%preun
%_preun_service pcscd      

%postun	
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING DRIVERS HELP INSTALL NEWS README SECURITY
%doc doc/muscle-api-1.3.0.pdf doc/pcsc-lite-0.8.7.pdf doc/README.DAEMON
%attr(755,root,root) %{_initrddir}/pcscd
%ghost %{_sysconfdir}/reader.conf
%dir %{_sysconfdir}/reader.conf.d
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_sbindir}/*
%{_libdir}/pcsc

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Mon Jun 13 2005 Frederic Lepied <flepied@mandriva.com> 1.1.2-6mdk
- rebuild

* Wed Oct 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-5mdk
- corrected update-reader-conf to avoid a warning when no config is present
- libification

* Fri Sep 12 2003 Jan Rochat <rochat@aeteurope.nl> 1.1.2-4mdk
- Changed the default file to an empty file (No reader at installation)

* Thu Sep 11 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-3mdk
- move tree under %%_libdir
- corrected restart and condrestart in startup script
- added /etc/reader.conf.d and update-reader-conf script
- use rpm macros for services

* Wed Sep 10 2003 Jan Rochat <rochat@aeteurope.nl> 1.1.2-2mdk
- First release for the smart card linux consortium see www.safesign.com info@aeteurope.nl 

* Wed Apr 23 2003 Jan Rochat <rochat@aeteurope.nl> 1.1.2-1mdk
- initial aet package
